All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::is_any_sparse_matrix< T > Struct Template Reference

Helper class for checking whether the provided type is one of the sparse matrix types (compressed_matrix, coordinate_matrix, etc.) More...

`#include <forwards.h>`

## Public Types

enum | { value = false }

## Detailed Description

### template<typename T>
struct viennacl::is_any_sparse_matrix< T >

Helper class for checking whether the provided type is one of the sparse matrix types (compressed_matrix, coordinate_matrix, etc.)

Definition at line 527 of file forwards.h.

## Member Enumeration Documentation

template<typename T >

anonymous enum

Enumerator
value |

Definition at line 529 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/forwards.h